Skip to main content
`Ctrl`+`K`

# SNESSetGridSequence

sets the number of steps of grid sequencing that `SNES` will do

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetGridSequence(SNES snes, PetscInt steps)

Logically Collective

## Input Parameters

- snes - the `SNES` context

- steps - the number of refinements to do, defaults to 0

## Options Database Key

- -snes_grid_sequence <steps> - Use grid sequencing to generate initial guess

## Notes

Once grid sequencing is turned on `SNESSolve()` will automatically perform the solve on each grid refinement.

Use `SNESGetSolution()` to extract the fine grid solution after grid sequencing.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESGetLagPreconditioner()`, `SNESSetLagJacobian()`, `SNESGetLagJacobian()`, `SNESGetGridSequence()`, `SNESSetDM()`, `SNESSolve()`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages